#!/bin/bash

# Options
ALLOW_LOGS=yes

if [ "$ALLOW_LOGS" == "yes" ]; then
    export SILENCE="&> /dev/null"
else
    export SILENCE=""
fi

# Lets run repo updates in all folders here

repo="core cross_tools extra extra32 games gnome kde layers pentest perl proprietary python server xfce"
for repos in ${repo}
do
    echo "Running pkg update for $repos"
    echo " "

    cd $repos

    ./repo_update $SILENCE

    cd ..
done
